Posted on Leave a comment

AdRotate Pro 5.8.6 – Fixes, compatibilities and more!

In this update I’ve redone a lot of the advert error states to be more clear. Also I’ve added a few new ones to prevent “unknown errors”. Dates are now more consistent for updates and background usage. And the WordPress requirement has been raised to version 5.0.

Update regularly!

Staying up-to-date with plugins is important and is almost never a bad thing. Updates are important for your website security. But more often updates also add new or improve features as well.
Updates are available via your dashboard and require no special skills to install, this makes it extremely easy to keep your site secure and have the latest features.

WordPress 5.0 Compatible

If you haven’t updated to WordPress 5.0 or newer, you should do so now. AdRotate Pro 5.8.6 requires WordPress 5.0 or newer to work properly. Older versions may work, but are untested and unsupported. Version 5.8.5 inadvertently used a more modern date function introduced in WP5.3. This has been reverted to a more compatible “less good” function.

Update routine

Auto-updates have been a bit of a bother for most of the year. Version 5.8.5 marked the first fully functional version to work with Automatic updates in WordPress for a long time. Version 5.8.6 improves on this even more. Adding a few status indicators and better error handling for updates.
If you’re stuck with an older version, please take a look at this page on how to deal with that – https://ajdg.solutions/support/adrotate-manuals/adrotate-pro-update-not-working-or-not-offered/

Changes in AdRotate Banner Manager 5.8.6

  • [fix] Added missing error notices for certain combinations of settings
  • [fix] Replaced adrotate_now() with current_time(‘timestamp’)
  • [fix] Better handling of slow/no response from update server
  • [fix] Backward compatibility with older WordPress versions
  • [tweak] More consistent use of date() and date_i18n()
  • [tweak] Reworded advert error notifications
  • [change] Update checks now show last checked date
  • [change] %image% tag no longer supported
  • [change] Now requires WordPress 5.0 or newer

Download

Leave a Reply

Your email address will not be published. Required fields are marked *

Leave the field below empty!